Page MenuHomePhabricator

Adoption request for Firefly Tools
Closed, ResolvedPublic

Description

I request being added as a co-maintainer of Firefly Tools. The tools admin link is https://tools.wmflabs.org/admin/tool/fireflytools
Following the Adoption policy, Either:

The current maintainer(s) have been notified on all of their:

  • wikitech usertalk pages, per LINK(s)
  • homewiki usertalk pages, per https://en.wikipedia.org/wiki/User_talk:Firefly
  • I confirm that I have notified them all via email (if available)
  • All of this was done 14 (or more) days ago and there have been no objections

Please could the TFSC :

  • check the tool's home directory for obvious secret information, following the Adoption policy instructions

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 9 2018, 1:33 PM
Adithyak1997 renamed this task from Adoption request for TOOLNAME to Adoption request for Firefly Tools.Nov 9 2018, 1:34 PM
  • wikitech usertalk pages, per LINK(s)

I notified them.

This tool is python based so I think I can do the checking, but I have little time till next weekend (might have some time Thursday morning/noon). Toolforge-standards-committee Anyone else willing to do the checking?

I can. Please add me as a co-maintainer. .

Mentioned in SAL (#wikimedia-cloud) [2018-11-14T07:00:50Z] <zhuyifei1999_> Add Matanya to maintainer list of tools.fireflytools T209147

I have checked and the tool is clean.

Matanya closed this task as Resolved.Nov 15 2018, 6:30 PM
Matanya claimed this task.
Matanya updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-cloud) [2018-11-15T18:34:37Z] <zhuyifei1999_> + Adithyak1997 - Matanya (per their request due to cron spam) to maintainer list of tools.fireflytools T209147

FWIW, this tool has a git repo at https://github.com/rwjuk/fireflytools, checked out at commit 61e219fe816fc44381f25576282e02fc334f3ab9, and

06:35:56 0 ✓ zhuyifei1999@tools-bastion-02: (master) /data/project/fireflytools$ git diff | cat
diff --git a/www/python/src/app.py b/www/python/src/app.py
index 146d66d..81af94f 100755
--- a/www/python/src/app.py
+++ b/www/python/src/app.py
@@ -1,6 +1,7 @@
 #!/usr/bin/env python3
 
 from flask import Flask, request, Response, render_template, redirect
+from flask_cors import CORS
 from os import path
 from datetime import datetime
 import json
@@ -8,6 +9,7 @@ import pickle
 import toolforge
 
 app = Flask(__name__)
+CORS(app)
 
 namespace_names = {0:"Main", 1:"Talk", 2:"User", 3:"User talk", 4:"Project", 5:"Project talk", 6:"File", 7:"File talk", 8:"MediaWiki", 9:"MediaWiki talk", 10:"Template", 11:"Template talk", 12:"Help", 13:"Help talk", 14:"Category", 15:"Category talk", 100:"Portal", 101:"Portal talk", 108:"Book", 109:"Book talk", 118:"Draft", 119:"Draft talk", 446:"Education Program", 447:"Education Program talk", 710:"TimedText", 711:"TimedText talk", 828:"Module", 829:"Module talk", 2300:"Gadget", 2301:"Gadget talk", 2302:"Gadget definition", 2303:"Gadget definition talk"}

Thank you all, including @Adithyak1997 for taking on these responsibilities. :-)

Thanks for assigning me the responsibilities. I actually don't have any experience in maintaining tools but knows programming very much. I would like to know the place where I can ask my doubts regarding updating the tool(Those are not regarding the specific tool instead its in general).

There are a lot of docs on wikitech: https://wikitech.wikimedia.org/wiki/Help:Toolforge

If they don't answer your question or the answer is hard to find or unclear, feel free to ask at #wikimedia-cloud on Freenode IRC or the cloud@lists.wikimedia.org mailing list.